Subject: Re: linux-next: boot failure after merge of the akpm tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 2 Dec 2021 08:44:34 +1100

Hi Luis,

On Wed, 1 Dec 2021 11:13:39 -0800 Luis Chamberlain <[email-masked]> wrote:
>
> On Tue, Nov 30, 2021 at 08:21:52AM -0800, Luis Chamberlain wrote:
> > On Tue, Nov 30, 2021 at 06:46:22PM +1100, Stephen Rothwell wrote:  
> > > Bisected to commit
> > > 
> > >   f00ff38c1dfa ("sysctl: add and use base directory declarer and registration helper")
> > > 
> > > I have reverted that complete 6 patch series for today.  
> > 
> > I'll be trying to reproduce and fix, thanks for the report!  
> 
> OK please try this patch, I can boot with this just fine on ppc64le:
> 
> diff --git a/include/linux/sysctl.h b/include/linux/sysctl.h
> index 70acd2a100fd..180adf7da785 100644
> --- a/include/linux/sysctl.h
> +++ b/include/linux/sysctl.h
> @@ -201,6 +201,7 @@ static struct ctl_table _name##_base_table[] = {			\
>  		.mode		= 0555,					\
>  		.child		= _table,				\
>  	},								\
> +	{ },								\
>  }
>  
>  extern int __register_sysctl_base(struct ctl_table *base_table);

That fixes it for me.  I will use that in linux-next today instead of
the reverts.

-- 
Cheers,
Stephen Rothwell